#ifndef _DEVICES_TIMER_H
#define _DEVICES_TIMER_H

#include <stdint.h>
#include "gen/timercounter.h"

inline void prescaler_init(timercounter_t* reg, uint16_t value){
    set_timercounter_prescaler(reg, value);
}

inline void timer_t0__init(timercounter_t *reg){
    set_timercounter_t0_overflow(reg, 0xffffffff);
}

inline void timer_t1__init(timercounter_t *reg){
    set_timercounter_t1_overflow(reg, 0xffffffff);
}

#endif /* _DEVICES_TIMER_H */
